# Created by pyp2rpm-3.3.7
%global pypi_name jaraco-itertools
%global pypi_version 6.0.1

# We don't have all needed python pkgs, yet
%bcond_with docs

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 3
Summary:        jaraco.itertools
Group:          Development/Python
License:        None
URL:            https://github.com/jaraco/jaraco.itertools
Source0:        https://files.pythonhosted.org/packages/source/j/%{pypi_name}/jaraco.itertools-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(toml)
%if %{with docs}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(inflect)
BuildRequires:  python3dist(jaraco.packaging)
%endif
BuildRequires:  python3dist(wheel)

%description
jaraco.itertools

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
jaraco.itertools

%prep
%autosetup -n jaraco.itertools-%{pypi_version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif
%{python3_sitelib}/jaraco/__pycache__/*
%{python3_sitelib}/jaraco/itertools.py
%{python3_sitelib}/jaraco.itertools-%{pypi_version}-py%{python3_version}.egg-info


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 6.0.1-3.mga9
+ Revision: 1831969
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 6.0.1-2.mga9
+ Revision: 1784146
- rebuild for python-3.10

* Wed Sep 01 2021 wally <wally> 6.0.1-1.mga9
+ Revision: 1743945
- imported package python-jaraco-itertools

